Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185719 - [RFE] Formatting of dates and times within UI
Summary: [RFE] Formatting of dates and times within UI
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.5
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: future_maint
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard: UX
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-17 02:48 UTC by Dave Malcolm
Modified: 2015-11-09 03:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 03:45:01 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2006-03-17 02:48:39 UTC
Description of problem:
Currently all dates and times are displayed in this format:
2006-03-16 21:06:28

I find this difficult to read when scanning a page.  Also, no time zone is
specified, which could cause problems for testers using the lab from other offices)

How about the use of constructions such as:
  "17 mins ago"  (for < 1 hour ago)
  "1 hr 24 mins ago" (for < 6 hours ago)
  "Today at 9:06pm"
  "Yesterday at 2:13am" (for yesterday)
  day-of-week at time (for up to a week ago)
  date at time (for earlier than this)

with a per-user timezone (specified in preferences).

(you could even have javascript to do this clientside and update them as time
passes on the viewed page)

Comment 3 Dave Malcolm 2006-03-22 17:48:45 UTC
Thanks.  I find that view easier to work with.

I guess we still have the timezone issue though:  what will happen when our
colleagues in India are trying to use an RHTS lab in Westford or RDU?  Or do we
simply state somewhere what the timezone of a particular server is (e.g. "All
times and dates given by this particular server are UTC-5") and require people
to deal with this (and the usual fun with daylight saving time...)

Comment 7 Raymond Mancy 2012-05-21 13:58:18 UTC
Zack, times currently are shown in your local timezone.

Comment 8 xjia 2013-06-20 02:53:57 UTC
I have checked times currently are shown in my local timezone. So close this bug.

Comment 9 Dan Callaghan 2013-06-20 06:16:14 UTC
Timezone localisation was implemented a few years ago for a separate bug. This bug is about "human-friendly" datetime formatting as described in comment #0, which is still not used anywhere in Beaker but would be a useful enhancement.

Comment 11 Roman Joost 2015-11-09 03:45:01 UTC
I'm closing this bug, since I think it's now consensus to use the human friendly timestamps for any new UI or re-factoring work where timestamps are included.
In case there are particular *new* UIs which violate that principle for no good reason, a separate bug should be filed.


Note You need to log in before you can comment on or make changes to this bug.